// creator  : weidu.exe (version 23100)
// argument : CERND25A.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~CERND25A~

IF ~Global("CerndSummoned","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #65181 /* ~Ah.  The balance has been wildly threatened... I and others of my brethren have felt it.  And of course you are at the center of these events, Child of Bhaal.~ [CERN2501] */
  IF ~~ THEN DO ~SetGlobal("CerndSummoned","GLOBAL",2)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #65182 /* ~I knew when I saw you that we would meet again.  If you have called on me to join you in your quest, than I am more than willing.  I will do whatever I can to preserve the balance.~ */
  IF ~OR(2)
Class(Player1,DRUID_ALL)
Class(Player1,RANGER_ALL)~ THEN REPLY #65183 /* ~And what if preserving the balance is not my goal?~ */ GOTO 2
  IF ~ReputationLT(Player1,10)
!Class(Player1,DRUID_ALL)
!Class(Player1,RANGER_ALL)~ THEN REPLY #65184 /* ~And what if preserving the balance is not my goal?~ */ GOTO 3
  IF ~ReputationGT(Player1,9)
!Class(Player1,DRUID_ALL)
!Class(Player1,RANGER_ALL)~ THEN REPLY #65185 /* ~And what if preserving the balance is not my goal?~ */ GOTO 4
  IF ~~ THEN REPLY #65186 /* ~Excellent.  Join with me, then.~ */ GOTO 5
  IF ~~ THEN REPLY #65187 /* ~Then wait here... I will deal with you soon.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #65188 /* ~How can it not be your goal?  You serve the balance with every breath.  Nature is as part of your soul as the taint which colors your fate... a balance in and of itself.~ */
  IF ~~ THEN REPLY #65189 /* ~Perhaps so.  Join with me, then.~ */ GOTO 5
  IF ~~ THEN REPLY #65190 /* ~I'll argue with you later.  For now, wait here.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #65191 /* ~You may not have the most stellar of reputations, <CHARNAME>, and you may pay close heed to the call of the taint in your soul... but can even you claim that you will not serve the balance in the end?  None of us knows this for certain.~ */
  IF ~~ THEN REPLY #65192 /* ~Perhaps so.  Join with me, then.~ */ GOTO 5
  IF ~~ THEN REPLY #65193 /* ~I'll argue with you later.  For now, wait here.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #65194 /* ~Whether one may strive for evil or good, one can never be certain that the balance is not ultimately being served.  If the balance is threatened, you may restore it no matter your intentions... or, at least, this is my hope.~ */
  IF ~~ THEN REPLY #65195 /* ~Fair enough.  Join with me, then.~ */ GOTO 5
  IF ~~ THEN REPLY #65196 /* ~I'll argue with you later.  For now, wait here.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 7.0 4.0 3.0 2.0 1.3
  SAY #65197 /* ~Good.  It pleases me to see you again, <CHARNAME>.  I hope that my skills will be of some use to you.~ */
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.1 3.1 2.1 1.4
  SAY #65198 /* ~Wait here?  This is an odd place, isn't it?  Unnatural and alien... yet also natural.  Alive.  I believe I will be pleased to inspect it thoroughly before you come back.~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([1619.1790])
Face(8)~ EXIT
END

IF ~Global("CerndSummoned","GLOBAL",2)~ THEN BEGIN 7 // from:
  SAY #65199 /* ~You have returned.  I take it, then, that you have a need of me now?~ [CERN2514] */
  IF ~~ THEN REPLY #65200 /* ~Yes... join with me, now.~ */ GOTO 5
  IF ~~ THEN REPLY #65201 /* ~Not just yet... wait here awhile longer.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.1
  SAY #65202 /* ~That does not bother me in the slightest.  Return when you wish.  I find this strange plane of yours rather... fascinating.~ */
  IF ~~ THEN EXIT
END
